#!/bin/sh
#
# Open secure tunnel to distant afp (ssh) server
#   this script will ask for the root passwd of the afp server
#   if it cannot find a private ssh key named ~/.ssh/secafp
#
#   Wed Oct 26 2006, Leo Zimmermann
#

# default afp server name or ip address (if not set script will query server name)
#TARGETHOST=thecusgrey

# secure afp port on local machine
LOCALHOST=localhost
LOCALPORT=54548

# alternative SSH port (to be used in conjunction with port forwarding in firewall)
#ALTSSHPORT='-p 2022'

# default afp port (on target machine)
TARGETPORT=548

#  ---- ---- ---- ---- END OF USER CONFIGURABLE SECTION ---- ---- ----  ----

# do we have a hostname/ip of the machine running the afp server?
if [ ! ${TARGETHOST} ]; then
  echo -n "hostname or local ip address of afp server? "; read TARGETHOST
fi

echo "Opening secure tunnel to remote afp server"
if [ -s ~/.ssh/secafp-${TARGETHOST} ]; then
  ssh -i ~/.ssh/secafp-${TARGETHOST} -L ${LOCALPORT}:${TARGETHOST}:${TARGETPORT} -f -N root@${TARGETHOST} ${ALTSSHPORT}
else
  ssh -L ${LOCALPORT}:${TARGETHOST}:${TARGETPORT} -f -N root@${TARGETHOST} ${ALTSSHPORT}
fi

open afp://${LOCALHOST}:${LOCALPORT}/
