#!/bin/sh
#
# backup using rsync over secured tunnel (ssh)
#   uses hardened public ssh key to allow password less backups
#
#   Sat Nov 4 2006, Leo Zimmermann
#

# remote username
TARGETUSER=root

# default remote server name or ip address (if not set script will query)
#TARGETHOST=thecusgrey

# default source directory on local to be backed up (if not set script will query)
#BACKUPSOURCE=/Users/shareme/Music

# target directory on remote to store sources in
TARGETDIR=/raid/Backup/

# specify backup options for rsync
#RSYNCOPTIONS="--progress --stats --recursive --times -pog --links --delete"
RSYNCOPTIONS="--progress --stats --recursive --times -pog --links"

#  ---- ---- ---- ---- END OF USER CONFIGURABLE SECTION ---- ---- ----  ----

# do we have a hostname/ip of the machine running the rsync (ssh) server?
if [ ! ${TARGETHOST} ]; then
  echo -n "hostname or ip address of remote server? "; read TARGETHOST
fi

# do we know the backup source directory?
if [ ! ${BACKUPSOURCE} ]; then
  echo -n "source directory to be backed up (exclude trailing slash!)? "; read BACKUPSOURCE
fi

rsync ${RSYNCOPTIONS} -e "ssh -i $HOME/.ssh/secrsync-${TARGETHOST}" ${BACKUPSOURCE} root@${TARGETHOST}:${TARGETDIR}
