#!/bin/sh
#
# Generate and install public/private ssh key pair
#   the key will be hardened to only allow port forwarding 
#
#   Thu Nov 2 2006, Leo Zimmermann
#

# default afp (ssh) server name or ip address (if not set script will query server name)
#TARGETHOST=thecusgrey

#  ---- ---- ---- ---- END OF USER CONFIGURABLE SECTION ---- ---- ----  ----

echo; echo "First, let's generate a new key pair"
echo "  (hit enter if you do not want to protect key by password)"
ssh-keygen -t rsa -f ~/.ssh/secafp

# do we have a hostname/ip of the machine running the afp server?
if [ ! ${TARGETHOST} ]; then
  echo -n "hostname or local ip address of afp (ssh) server? "; read TARGETHOST
fi

# rename private key to match target hostname
mv ~/.ssh/secafp ~/.ssh/secafp-${TARGETHOST}

echo; echo "Now, harden public key to only allow port forwarding"
echo -n "command=\"/bin/false\",no-pty " > /tmp/secafp.pub.edit
cat ~/.ssh/secafp.pub >> /tmp/secafp.pub.edit
mv /tmp/secafp.pub.edit ~/.ssh/secafp-${TARGETHOST}.pub

echo; echo "Copy hardened public key to ${TARGETHOST} (requires root passwd)"
cat ~/.ssh/secafp-${TARGETHOST}.pub | ssh root@${TARGETHOST} 'sh -c "cat - >>/raid/module/SSH/sshkeys/authorized_keys2"'

echo; echo "We're done here!"
